summaryrefslogtreecommitdiff
path: root/dev-python/pastedeploy
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pastedeploy')
-rw-r--r--dev-python/pastedeploy/Manifest1
-rw-r--r--dev-python/pastedeploy/metadata.xml19
-rw-r--r--dev-python/pastedeploy/pastedeploy-3.1.ebuild41
3 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/pastedeploy/Manifest b/dev-python/pastedeploy/Manifest
new file mode 100644
index 000000000000..98b72f7c9437
--- /dev/null
+++ b/dev-python/pastedeploy/Manifest
@@ -0,0 +1 @@
+DIST pastedeploy-3.1.gh.tar.gz 33634 BLAKE2B 11087275f0c0f73b44ecc4bdcd6c284534d81056ce2dc898b8a891261b2ec71502679a688e2183adc4572089846d2c06fe5b48648f78ea6667f29e142b656656 SHA512 da13c8181d1f003bf61f954655a1876f49253954c320c6a2db0ca2b92acf057e48dff97376da2f9dce6181e5349ffa2d8cddbf71d3360d6c0fa8d5dedbbb2ae3
diff --git a/dev-python/pastedeploy/metadata.xml b/dev-python/pastedeploy/metadata.xml
new file mode 100644
index 000000000000..87e1e0314fe0
--- /dev/null
+++ b/dev-python/pastedeploy/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">Paste Deployment is a system for finding and configuring WSGI applications
+ and servers. For WSGI application consumers it provides a single, simple
+ function (loadapp) for loading a WSGI application from a configuration file
+ or a Python Egg. For WSGI application providers it only asks for a single,
+ simple entry point to your application, so that application users don't need
+ to be exposed to the implementation details of your application.</longdescription>
+ <stabilize-allarches />
+ <upstream>
+ <doc>https://docs.pylonsproject.org/projects/pastedeploy/en/latest/</doc>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pastedeploy/pastedeploy-3.1.ebuild b/dev-python/pastedeploy/pastedeploy-3.1.ebuild
new file mode 100644
index 000000000000..9545a85c433a
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-3.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="
+ https://github.com/Pylons/pastedeploy/
+ https://pypi.org/project/PasteDeploy/
+"
+SRC_URI="
+ https://github.com/Pylons/pastedeploy/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+
+RDEPEND="
+ !dev-python/namespace-paste
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov::' pytest.ini || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}